<button pButton pRipple type="button" icon="pi pi-plus"label="Add Department" class="p-button-raised p-button-text" style="margin: 10px;" (click)="addClick()" ></button>
<p-table [value]="departments" responsiveLayout="scroll">

    <ng-template pTemplate="header">
        <tr>
            <th>DepartmentID</th>
            <th>DepartmentName</th>
            <th>Options</th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-department>
        <tr>
            <td>{{department.DepartmentId}}</td>
            <td>{{department.DepartmentName}}</td>
            <td>
                <button pButton pRipple type="button" icon="pi pi-pencil" class="p-button-rounded p-button-secondary p-button-text"></button>
                <button pButton pRipple type="button" icon="pi pi-trash" class="p-button-rounded p-button-secondary p-button-text"></button>
            </td>
        </tr>
    </ng-template>
</p-table>

<p-dialog header="Actions" [(visible)]="display">
    <div class="grid p-fluid">
        <div class="col-12 md:col-4">
            <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
                <input type="text" pInputText placeholder="DepartmentName">         
            </div>
        </div>
    </div>
    <button pButton pRipple type="button" label="Create" *ngIf="DepartmentId==0" (click)="createClick()"class="p-button-raised p-button-secondary p-button-text"></button>
<button pButton pRipple type="button" label="Update"  *ngIf="DepartmentId!=0" (click)="updateClick()" class="p-button-raised p-button-success p-button-text"></button>
</p-dialog>